Extra space in "IS NOT" operator makes the expression return wrong selection

2015-12-02 07:24 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Expressions

Affected QGIS version:2.8.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21955

Description

Description to follow.

Associated revisions

Revision 5d989abd - 2016-02-14 11:44 PM - Jürgen Fischer

fix parsing of IS NOT and NOT LIKE, NOT ILIKE and dumping of IS (NOT ...) (fixes #13938)

History

#1 - 2015-12-02 11:13 AM - Nyall Dawson

- Status changed from Open to Feedback

Setting to feedback just in case the extra detail doesn't come ;)

#2 - 2015-12-06 06:45 AM - Sebastian Dietrich

@Giovanni Manghi:

Good catch!

If I may add the extra detail here:

1 IS NOT 2

 evaluates to 1

1 IS  NOT 2

 evaluates to 0

1 IS (NOT 2)

 evaluates to 0, too

#3 - 2015-12-06 09:14 AM - Giovanni Manghi

- Status changed from Feedback to Open

that's it.

#4 - 2016-02-14 02:45 PM - Jürgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"5d989abd6fbce0b95282aa5d4c6185d145570620".
